package com.baidu.sdktesta;

import android.app.Activity;
import android.content.Context;
import android.content.Intent;
import android.os.Bundle;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.Button;
import android.widget.TextView;

import com.baidu.mtjstatsdk.StatSDKService;
import com.baidu.sdktesta.supportv4fragment.MainFragmentActivity;

public class SDKTestA extends Activity implements OnClickListener {
	private TextView cuidView;
	private Button eventButton;
	private Button eventDuration;
	private Button finshButton;
	private Button startfragment;
	static Context mContext;

	@Override
	public void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		mContext = this;
		setContentView(R.layout.activity_main_testa);
		
		cuidView = (TextView) findViewById(R.id.cuid);
		eventButton = (Button) findViewById(R.id.event);
		eventDuration = (Button) findViewById(R.id.eventduration);
		startfragment = (Button)findViewById(R.id.startfragment);

		eventButton.setOnClickListener(this);
		eventDuration.setOnClickListener(this);
		finshButton = ((Button) findViewById(R.id.finishmyslef));
		finshButton.setOnClickListener(this);
		startfragment.setOnClickListener(this);
		
		cuidView.setText(StatSDKService.getCuid(this));
	}

	@Override
	public void onResume() {
		super.onResume();
		initMTJForOnce(mContext);
		StatSDKService.onResume(this, "0fbfba34d4");
	}

	@Override
	public void onPause() {
		super.onPause();
		initMTJForOnce(mContext);
		StatSDKService.onPause(this, "0fbfba34d4");
	}

	@Override
	public void onClick(View v) {
		// TODO Auto-generated method stub
		if (v == eventButton) {
			initMTJForOnce(mContext);
			StatSDKService.onEvent(this, "sdktest_a_event", "sdktest_a_event",
					"0fbfba34d4");
		} else if (v == eventDuration) {
			initMTJForOnce(mContext);
			StatSDKService.onEventDuration(this, "sdktest_a_event_duration",
					"sdktest_a_event_duration", 5, "0fbfba34d4");
		}else if(v == startfragment){
			initMTJForOnce(mContext);
			Intent in = new Intent();
			in.setClass(mContext, MainFragmentActivity.class);
			startActivity(in);
		} else if (v == finshButton) {
			finish();
		}
	}

	public static void callAEvent(Context mContext) {
		initMTJForOnce(mContext);
		StatSDKService.onEvent(mContext, "call_sdktest_a_event", "call_sdktest_a_event",
				"0fbfba34d4");
	}
	
	public static void callAEventDuration(Context mContext, long time) {
		initMTJForOnce(mContext);
		StatSDKService.onEventDuration(mContext, "call_sdktest_a_event", "call_sdktest_a_event", time,
				"0fbfba34d4");
	}
	
	public static boolean isInitMtj = false;
	public static void initMTJForOnce(Context context){
		if(!isInitMtj){
			isInitMtj = true;
			StatSDKService.setDebugOn(true, "0fbfba34d4");
			StatSDKService.setAppChannel(context, "channelA", true, "0fbfba34d4");
            StatSDKService.setAppVersionName("1.0", "0fbfba34d4");
		}
		
	}
}
