package com.baidu.mobstat.demo;

import android.app.Activity;
import android.content.Intent;
import android.os.Bundle;
import android.util.Log;
import android.view.View;
import android.view.View.OnClickListener;
import android.view.Window;
import android.widget.Button;

import com.baidu.mobstat.StatService;
import com.baidu.mobstat.demo.appfragment.AppFragmentDemoActivity;
import com.baidu.mobstat.demo.supportv4fragment.MainFragmentActivity;
import com.baidu.mtjstatsdk.StatSDKService;
import com.baidu.sdktesta.SDKTestA;
import com.baidu.sdktestb.SDKTestB;

public class DemoActivity1 extends Activity {
    /** Called when the activity is first created. */

    private Button btnPre;
    private Button btnNext;
    private Button btnException;
    private Button btnEvent;
    private Button btnEventDuration;
    private Button btnEventStart;
    private Button btnEventEnd;
    private Button btnFragmentPage;
    private Button btnAppFragmentPage;
    private Button sdkTestA;
    private Button sdkTestB;

    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        requestWindowFeature(Window.FEATURE_ACTION_BAR);
        setContentView(R.layout.layout1);

        // 调试百度统计SDK的Log开关，可以在Eclipse中看到sdk打印的日志，发布时去除调用，或者设置为false
        StatSDKService.setDebugOn(true, "4333ffe16d");
        StatSDKService.setAppChannel(this, "channels", true, "4333ffe16d");

        StatSDKService.setDebugOn(true, "58644bf791");
        StatSDKService.setDebugOn(true, "898587128f");

        btnPre = (Button) findViewById(R.id.layout1_btn1);
        btnNext = (Button) findViewById(R.id.layout1_btn2);
        btnException = (Button) findViewById(R.id.layout1_btn_excep);
        btnEvent = (Button) findViewById(R.id.layout1_btn_event);
        btnEventDuration = (Button) findViewById(R.id.layout1_btn_event_duration);

        btnEventStart = (Button) findViewById(R.id.layout1_btn_event_start);
        btnEventEnd = (Button) findViewById(R.id.layout1_btn_event_end);


        btnFragmentPage = (Button) findViewById(R.id.layout1_fragment);
        
        btnAppFragmentPage = (Button) findViewById(R.id.layout1_app_fragment);
        
        sdkTestA = (Button) findViewById(R.id.sdktesta);
        sdkTestB = (Button) findViewById(R.id.sdktestb);

        btnPre.setOnClickListener(new OnClickListener() {
            public void onClick(View v) {

                Intent intent = new Intent();
                intent.setClass(DemoActivity1.this, DemoActivity3.class);

                DemoActivity1.this.startActivity(intent);
            }
        });

        btnNext.setOnClickListener(new OnClickListener() {
            public void onClick(View v) {
                Intent intent = new Intent();
                intent.setClass(DemoActivity1.this, DemoActivity2.class);
                DemoActivity1.this.startActivity(intent);
            }
        });

        btnException.setOnClickListener(new OnClickListener() {
            public void onClick(View v) {
//                Log.w(Conf.TAG, 10 / 0 + "");
            }
        });

        btnEvent.setOnClickListener(new OnClickListener() {
            public void onClick(View v) {

                // "registered id"必须在mtj网站的自定义事件中添加， “pass”是该注册事件下的事件
                // new Thread(new Runnable(){
                // @Override
                // public void run(){
                // StatService.onEvent(DemoActivity1.this.getApplicationContext(),
                // "registered id",
                // "pass", 1);
                // }
                // }).run();

                StatSDKService.onEvent(DemoActivity1.this.getApplicationContext(), "registered id", "pass", 1,
                        "4333ffe16d");
                SDKTestB.callBEvent(DemoActivity1.this.getApplicationContext());
                SDKTestA.callAEvent(DemoActivity1.this.getApplicationContext());
            }
        });

        /**
         * 自定义事件的第一种方法，写入某个事件的持续时长
         */
        btnEventDuration.setOnClickListener(new OnClickListener() {
            public void onClick(View v) {

                // 事件id（"registered id"）的事件pass，其时长持续100毫秒
                StatSDKService.onEventDuration(DemoActivity1.this, "registered id", "pass", 100, "4333ffe16d");
                SDKTestB.callBEventDuration(DemoActivity1.this, 100);
                SDKTestA.callAEventDuration(DemoActivity1.this, 100);

            }
        });

        /*
         * 自定义事件的第二种方法，自己定义该事件的起始时间和结束时间
         */
        btnEventStart.setOnClickListener(new OnClickListener() {
            public void onClick(View v) {

                // 事件id（"registered id"）的事件pass，其时长持续10毫秒
                StatSDKService.onEventStart(DemoActivity1.this, "registered id", "pass", "4333ffe16d");// 必须和onEventEnd共用才行
                SDKTestB.callBEvent(DemoActivity1.this);
                SDKTestA.callAEvent(DemoActivity1.this);

            }
        });

        /*
         * 自定义事件的第二种方法，自己定义该事件的起始时间和结束时间
         */
        btnEventEnd.setOnClickListener(new OnClickListener() {
            public void onClick(View v) {

                // 事件id（"registered id"）的事件pass，其时长持续10毫秒
                StatSDKService.onEventEnd(DemoActivity1.this, "registered id", "pass", "4333ffe16d");// 必须和onEventStart共用才行
                SDKTestB.callBEvent(DemoActivity1.this);
                SDKTestA.callAEvent(DemoActivity1.this);
            }
        });

        btnFragmentPage.setOnClickListener(new OnClickListener() {
            public void onClick(View v) {
                Intent in = new Intent();
                in.setClass(DemoActivity1.this, MainFragmentActivity.class);
                startActivity(in);
            }
        });

        btnAppFragmentPage.setOnClickListener(new OnClickListener() {
            public void onClick(View v) {
                Intent in = new Intent();
                in.setClass(DemoActivity1.this, AppFragmentDemoActivity.class);
                startActivity(in);
            }
        });

        sdkTestA.setOnClickListener(new OnClickListener() {
            @Override
            public void onClick(View v) {
                Intent in = new Intent();
                in.setClass(DemoActivity1.this, SDKTestA.class);
                startActivity(in);
            }
        });

        sdkTestB.setOnClickListener(new OnClickListener() {
            @Override
            public void onClick(View v) {
                Intent in = new Intent();
                in.setClass(DemoActivity1.this, SDKTestB.class);
                startActivity(in);
            }
        });
    }

    public void onResume() {
        Log.w(Conf.TAG, "Activity1.OnResume()");
        super.onResume();

        /**
         * 页面起始（每个Activity中都需要添加，如果有继承的父Activity中已经添加了该调用，那么子Activity中务必不能添加）
         * 不能与StatService.onPageStart一级onPageEnd函数交叉使用
         */
        StatSDKService.onResume(this, "4333ffe16d");
        StatService.onResume(this);
    }

    public void onPause() {
        Log.w(Conf.TAG, "Activity1.onPause()");
        super.onPause();

        /**
         * 页面结束（每个Activity中都需要添加，如果有继承的父Activity中已经添加了该调用，那么子Activity中务必不能添加）
         * 不能与StatService.onPageStart一级onPageEnd函数交叉使用
         */
        StatSDKService.onPause(this, "4333ffe16d");
        StatService.onPause(this);
    }
}

// /~ 