package com.baidu.mobstat.demo;

import android.app.Activity;
import android.content.Intent;
import android.os.Bundle;
import android.util.Log;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.Button;

import com.baidu.mobstat.StatService;
import com.baidu.mtjstatsdk.StatSDKService;

public class DemoDialogActivity extends Activity {
    /** Called when the activity is first created. */

    private Button btnPre;
    private Button btnNext;

    @Override
    public void onCreate(Bundle savedInstanceState) {

        Log.i(Conf.TAG, "DemoDialogActivity.OnCreate()");
        super.onCreate(savedInstanceState);
        setContentView(R.layout.layout4);

        btnPre = (Button) findViewById(R.id.layout4_btn1);
        btnNext = (Button) findViewById(R.id.layout4_btn2);

        btnPre.setOnClickListener(new OnClickListener() {
            public void onClick(View v) {
                Intent intent = new Intent();
                intent.setClass(DemoDialogActivity.this, DemoActivity3.class);
                startActivity(intent);
            }
        });

        btnNext.setOnClickListener(new OnClickListener() {
            public void onClick(View v) {
                Intent intent = new Intent();
                intent.setClass(DemoDialogActivity.this, DemoActivity1.class);
                startActivity(intent);
            }
        });
    }

    public void onResume() {
        Log.w(Conf.TAG, "DemoDialogActivity.OnResume()");
        super.onResume();

        /**
         * 页面起始（每个Activity中都需要添加，如果有继承的父Activity中已经添加了该调用，那么子Activity中务必不能添加）
         * 与StatService.onResume(this)类似;
         */
        StatSDKService.onPageStart(this, "DemoDialogActivityp", "4333ffe16d");// (this);
        StatService.onResume(this);
    }

    public void onPause() {
        Log.w(Conf.TAG, "DemoDialogActivity.onPause()");
        super.onPause();

        /**
         * 页面结束（每个Activity中都需要添加，如果有继承的父Activity中已经添加了该调用，那么子Activity中务必不能添加）
         * 与StatService.onPause(this)类似;
         */
        StatSDKService.onPageEnd(this, "DemoDialogActivityp", "4333ffe16d");// (this);
        StatService.onPause(this);
    }
}