/*
 * Copyright (C) 2016 Baidu, Inc. All Rights Reserved.
 */
package com.baidu.mtj.auto;

import com.baidu.mobstat.StatService;

import android.app.Activity;
import android.os.Bundle;
import android.view.View;
import android.widget.Button;

import java.util.HashMap;

public class EventActivity extends Activity {
    private Button mNormalBtn;
    private Button mEventAttributesBtn;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.event);

        findViewAndSetData();
    }

    private void findViewAndSetData() {
        mNormalBtn = (Button) findViewById(R.id.btn_normal);
        mEventAttributesBtn = (Button) findViewById(R.id.btn_event_attribute);

        mNormalBtn.setOnClickListener(mOnClickListener);
        mEventAttributesBtn.setOnClickListener(mOnClickListener);
    }

    private View.OnClickListener mOnClickListener = new View.OnClickListener() {

        @Override
        public void onClick(View v) {
            // 控件本身可以自动统计到；如果需要给控件绑定数据，则才需要添加如下代码
            // 相关绑定的数据代码可以参考web端相应事件的接口代码示例，hashmap中相关key需要在web端配置事件参数方可生效
            if (v == mEventAttributesBtn) {
                HashMap<String, String> hashMap = new HashMap<String, String>();
                hashMap.put("city", "shanghai");
                hashMap.put("age", "24");

                // 设置控件附加属性，用于无埋点对控件添加数据；控件绑定事件附加属性依赖于view.setTag(key, value)支持，使用key值：-96000；
                // 如果view已经绑定过此key值，则此设置不生效
                StatService.setAttributes(mEventAttributesBtn, hashMap);
            }
        }
    };

}
