/*
 * Copyright (C) 2016 Baidu, Inc. All Rights Reserved.
 */
package com.baidu.mtj.auto;

import android.app.Activity;
import android.content.Intent;
import android.os.Bundle;
import android.view.View;
import android.widget.Button;

public class MainActivity extends Activity {

    private Button mPageStatBtn;
    private Button mPageIgnoreBtn;
    private Button mH5StatBtn;
    private Button mEventAttributeBtn;
    private Button mEventFeedBtn;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.main);

        findViewAndSetData();
    }

    private void findViewAndSetData() {
        mPageStatBtn = (Button) findViewById(R.id.btn_trace_page);
        mPageIgnoreBtn = (Button) findViewById(R.id.btn_ignore_page);
        mH5StatBtn = (Button) findViewById(R.id.btn_h5_trace);
        mEventAttributeBtn = (Button) findViewById(R.id.btn_event_attribute);
        mEventFeedBtn = (Button) findViewById(R.id.btn_event_feed);

        mPageStatBtn.setOnClickListener(mOnClickListener);
        mPageIgnoreBtn.setOnClickListener(mOnClickListener);
        mH5StatBtn.setOnClickListener(mOnClickListener);
        mEventAttributeBtn.setOnClickListener(mOnClickListener);
        mEventFeedBtn.setOnClickListener(mOnClickListener);
    }

    private View.OnClickListener mOnClickListener = new View.OnClickListener() {
        @Override
        public void onClick(View v) {
            if (v == mPageStatBtn) {
                startActivity(PageActivity.class);
            } else if (v == mPageIgnoreBtn) {
                startActivity(PageIgnoreActivity.class);
            } else if (v == mH5StatBtn) {
                startActivity(H5Activity.class);
            } else if (v == mEventAttributeBtn) {
                startActivity(EventActivity.class);
            } else if (v == mEventFeedBtn) {
                startActivity(FeedActivity.class);
            }
        }
    };

    private void startActivity(Class<?> cls) {
        Intent intent = new Intent(MainActivity.this, cls);
        startActivity(intent);
    }

}
